org.apache.hc.client5.http.impl.routing

## Class SystemDefaultRoutePlanner

- java.lang.Object
- - org.apache.hc.client5.http.impl.routing.DefaultRoutePlanner
  - - org.apache.hc.client5.http.impl.routing.SystemDefaultRoutePlanner

- All Implemented Interfaces:
    HttpRoutePlanner

      @Contract(threading=STATELESS)
      public class SystemDefaultRoutePlanner
      extends DefaultRoutePlanner

  `HttpRoutePlanner` implementation based on `ProxySelector`. By default, this class will pick up the proxy settings of the JVM, either from system properties or from the browser running the application.
  Since:
    4.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemDefaultRoutePlanner(ProxySelector proxySelector)`
    `SystemDefaultRoutePlanner(SchemePortResolver schemePortResolver, ProxySelector proxySelector)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.hc.core5.http.HttpHost` | `determineProxy(org.apache.hc.core5.http.HttpHost target, org.apache.hc.core5.http.protocol.HttpContext context)` This implementation returns null.

    - ### Methods inherited from class org.apache.hc.client5.http.impl.routing.DefaultRoutePlanner

      `determineLocalAddress, determineRoute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemDefaultRoutePlanner

          public SystemDefaultRoutePlanner(SchemePortResolver schemePortResolver,
                                           ProxySelector proxySelector)

      Parameters:
        `proxySelector` - the proxy selector, or `null` for the system default

    - #### SystemDefaultRoutePlanner

          public SystemDefaultRoutePlanner(ProxySelector proxySelector)

      Parameters:
        `proxySelector` - the proxy selector, or `null` for the system default

  - ### Method Detail

    - #### determineProxy

          protected org.apache.hc.core5.http.HttpHost determineProxy(org.apache.hc.core5.http.HttpHost target,
                                                                     org.apache.hc.core5.http.protocol.HttpContext context)
                                                              throws org.apache.hc.core5.http.HttpException

      Description copied from class: `DefaultRoutePlanner`
      This implementation returns null.
      Overrides:
        `determineProxy` in class `DefaultRoutePlanner`
      Throws:
        `org.apache.hc.core5.http.HttpException` - may be thrown if overridden

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.